function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(5)
    choiceDialog({
        {
            "kaileythalien_aqquatica_19",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_20",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_21",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_22",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        }
    })
    choiceDialog({
        {
            "kaileythalien_aqquatica_23",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        }
    })
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end